services:
  immich_redis:
    command:
    - valkey-server
    container_name: immich_redis
    entrypoint:
    - docker-entrypoint.sh
    environment:
      PATH: /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      VALKEY_DOWNLOAD_SHA: '***SENSITIVE_VALUE*** (3355...)'
      VALKEY_DOWNLOAD_URL: '***SENSITIVE_VALUE*** (http...)'
      VALKEY_VERSION: '***SENSITIVE_VALUE*** (8.1....)'
    image: docker.io/valkey/valkey:8-bookworm@sha256:ff21bc0f8194dc9c105b769aeabf9585fea6a8ed649c0781caeac5cb3c247884
    restart: always
    working_dir: /data
